import React, { useState } from "react";
// import RegularDropDown from "./ui/inputs/RegularDropDown";

import Search from "../../components/ui/inputs/Search";
import { StarsIcon } from "../../components/icons/marketPlaceIcons";
import RegularDropDown from "../../components/ui/inputs/RegularDropDown";

const FilterSearch: React.FC = () => {
  const [activeOption, setActiveOption] = useState("Sort by"); // State for active option

  const handleSelect = (option: string) => {
    setActiveOption(option);
  };
  return (
    <div className="filter-search-container">
      <Search onChange={() => {}} />
      <RegularDropDown
        header={activeOption}
        options={["Alphabet ascending", "Alphabet descending"]}
        onSelect={handleSelect}
        search={false}
      />
      <div className="button">Free</div>
      <div className="button">Animated</div>
      <div className="rating-container">
        <div className="label">Rating</div>
        <div className="stars">
          <StarsIcon />
          <StarsIcon />
          <StarsIcon />
          <StarsIcon />
          <StarsIcon />
        </div>
      </div>
    </div>
  );
};

export default FilterSearch;
