import { create } from "zustand";

interface ModuleStore {
  activeModule: string;
  setActiveModule: (module: string) => void;
}

const useModuleStore = create<ModuleStore>((set) => ({
  activeModule: "builder", // Initial state
  setActiveModule: (module) => set({ activeModule: module }), // Update state
}));

export default useModuleStore;

// New store for subModule
interface SubModuleStore {
  subModule: string;
  setSubModule: (subModule: string) => void;
}

const useSubModuleStore = create<SubModuleStore>((set) => ({
  subModule: "properties", // Initial subModule state
  setSubModule: (subModule) => set({ subModule }), // Update subModule state
}));

export { useSubModuleStore };